Bug 84153 - New port: audio/moc - A featureful console music player
Summary: New port: audio/moc - A featureful console music player
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-27 02:40 UTC by Rob Zinkov
Modified: 2005-07-29 00:48 UTC (History)
0 users

See Also:


Attachments
moc2 (4.15 KB, text/plain)
2005-07-27 02:40 UTC, Rob Zinkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Zinkov 2005-07-27 02:40:14 UTC
        MOC (music on console) is a console audio player for
LINUX/UNIX designed to be
        powerful and easy to use.

        You just need to select a file from some directory using the
menu similar to
        Midnight Commander, and MOC will start playing all files in
this directory
        beginning from the chosen file. There is no need to create
playlists like in
        other players.
Comment 1 Jean-Yves Lefort freebsd_committer 2005-07-27 07:26:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-07-27 07:28:57 UTC
State Changed
From-To: open->feedback

Your shar is mangled.
Comment 3 Rob Zinkov 2005-07-28 00:49:35 UTC
sorry i used a bad web client

>Correction:

# This is a shell archive. Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file". Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
# moc
# moc/Makefile
# moc/distinfo
# moc/pkg-plist
# moc/pkg-descr
#
echo c - moc
mkdir -p moc > /dev/null 2>&1
echo x - moc/Makefile
sed 's/^X//' >moc/Makefile << 'END-of-moc/Makefile'
X# New ports collection makefile for: moc
X# Date created: 24 July 2005
X# Whom: Revis Zinkov <rzinkov@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME= moc
XPORTVERSION= 2.3.0
XCATEGORIES= audio
XMASTER_SITES= ftp://ftp.daper.net/pub/soft/moc/stable/
X
XMAINTAINER= rzinkov@gmail.com
XCOMMENT= Is a console audio player designed to be powerful and easy to use
X
XUSE_GETOPT_LONG= yes
XUSE_GMAKE= yes
XUSE_BZIP2= yes
XGNU_CONFIGURE= yes
XCONFIGURE_ENV= CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
XCONFIGURE_ARGS= --with-cxxflags="${CXXFLAGS}"
X
XMAN8= mocp.8
X
XCPPFLAGS= -I${LOCALBASE}/include
XLDFLAGS= -L${LOCALBASE}/lib
X
XOPTIONS= MP3 "MP3 support" on \
X SNDFILE "libsndfile support" off \
X VORBIS "ogg Vorbis support" on \
X FLAC "flac support" off \
X CURL "libcurl support" on \
X MUSE "musepack support" off
X
X.include <bsd.port.pre.mk <http://bsd.port.pre.mk>>
X
X.if ${OSVERSION} < 400010
XLIB_DEPENDS+= ncurses.5:${PORTSDIR}/devel/ncurses
X.endif
X
X.if !defined(WITHOUT_MP3)
XLIB_DEPENDS+= mad.2:${PORTSDIR}/audio/mad
X.else
XCONFIGURE_ARGS+= --without-mp3
X.endif
X
X.if !defined(WITHOUT_SNDFILE)
XLIB_DEPENDS+= sndfile.1:${PORTSDIR}/audio/libsndfile
X.else
XCONFIGURE_ARGS+= --without-sndfile
X.endif
X
X.if defined(WITHOUT_VORBIS)
XCONFIGURE_ARGS+= --without-ogg
X.else
XLIB_DEPENDS+= vorbis.3:${PORTSDIR}/audio/libvorbis
X.endif
X
X.if defined(WITH_FLAC)
XLIB_DEPENDS+= FLAC:${PORTSDIR}/audio/flac
X.else
XCONFIGURE_ARGS+= --without-flac
X.endif
X
X.if !defined(WITHOUT_CURL)
XLIB_DEPENDS+= curl.3:${PORTSDIR}/ftp/curl
X.else
XCONFIGURE_ARGS+= --without-curl
X.endif
X
X.if defined(WITH_MUSE)
XLIB_DEPENDS+= musepack:${PORTSDIR}/audio/musepack
X.else
XCONFIGURE_ARGS+= --without-musepack
X.endif
X
Xpost-extract:
X @${FIND} ${WRKSRC} -name "getopt*" -delete
X
X.include <bsd.port.post.mk <http://bsd.port.post.mk>>
END-of-moc/Makefile
echo x - moc/distinfo
sed 's/^X//' >moc/distinfo << 'END-of-moc/distinfo'
XMD5 (moc-2.3.0.tar.bz2) = 3d5d152c28f6e40162058fc1566c8109
XSIZE (moc-2.3.0.tar.bz2) = 402954
END-of-moc/distinfo
echo x - moc/pkg-plist
sed 's/^X//' >moc/pkg-plist << 'END-of-moc/pkg-plist'
Xbin/mocp
Xlib/moc/decoder_plugins/libmp3_decoder.la
Xlib/moc/decoder_plugins/libmp3_decoder.so
Xlib/moc/decoder_plugins/libogg_decoder.la
Xlib/moc/decoder_plugins/libogg_decoder.so
Xlib/moc/decoder_plugins/libsndfile_formats_decoder.la
Xlib/moc/decoder_plugins/libsndfile_formats_decoder.so
Xshare/doc/moc/README
Xshare/doc/moc/THANKS
Xshare/doc/moc/config.example
Xshare/doc/moc/keymap.example
Xshare/moc/themes/black_theme
Xshare/moc/themes/example_theme
Xshare/moc/themes/green_theme
Xshare/moc/themes/nightly_theme
Xshare/moc/themes/transparent-background
Xshare/moc/themes/yellow_red_theme
X@dirrm share/nls/en_US.US-ASCII
X@dirrm share/nls/POSIX
X@dirrm share/moc/themes
X@dirrm share/moc
X@dirrm share/doc/moc
X@dirrm lib/moc/decoder_plugins
X@dirrm lib/moc
END-of-moc/pkg-plist
echo x - moc/pkg-descr
sed 's/^X//' >moc/pkg-descr << 'END-of-moc/pkg-descr'
XMOC (music on console) is a console audio player for LINUX/UNIX designed to 
be
Xpowerful and easy to use.
X
XMOC plays smoothly, regardless of system or I/O load because it uses the 
output
Xbuffer in a separate thread. It doesn't cause gaps between files, because 
the
Xnext file to be played is precached while playing the current file.
X
XSupported file formats are: mp3, Ogg Vorbis, FLAC, Musepack (mpc), Speex, 
WAVE,
XAIFF, AU, SVX, Sphere Nist WAV, IRCAM SF, Creative VOC.
X
XWWW: http://moc.daper.net/
END-of-moc/pkg-descr
exit
Comment 4 rzinkov 2005-07-28 01:12:13 UTC
Ok this is one last attempt from mutt
>Fix:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	moc
#	moc/Makefile
#	moc/distinfo
#	moc/pkg-plist
#	moc/pkg-descr
#
echo c - moc
mkdir -p moc > /dev/null 2>&1
echo x - moc/Makefile
sed 's/^X//' >moc/Makefile << 'END-of-moc/Makefile'
X# New ports collection makefile for:	moc
X# Date created:		24 July 2005
X# Whom:			Revis Zinkov <rzinkov@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	moc
XPORTVERSION=	2.3.0
XCATEGORIES=	audio
XMASTER_SITES=	ftp://ftp.daper.net/pub/soft/moc/stable/
X
XMAINTAINER=	rzinkov@gmail.com
XCOMMENT=	Is a console audio player designed to be powerful and easy to use
X
XUSE_GETOPT_LONG=	yes
XUSE_GMAKE=	yes
XUSE_BZIP2=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
XCONFIGURE_ARGS=	--with-cxxflags="${CXXFLAGS}"
X
XMAN8=		mocp.8
X
XCPPFLAGS=	-I${LOCALBASE}/include
XLDFLAGS=	-L${LOCALBASE}/lib
X
XOPTIONS=	MP3 "MP3 support" on \
X		SNDFILE "libsndfile support" off \
X		VORBIS "ogg Vorbis support" on \
X		FLAC "flac support" off \
X		CURL "libcurl support" on \
X		MUSE "musepack support" off
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 400010
XLIB_DEPENDS+=	ncurses.5:${PORTSDIR}/devel/ncurses
X.endif
X
X.if !defined(WITHOUT_MP3)
XLIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/mad
X.else
XCONFIGURE_ARGS+=	--without-mp3
X.endif
X
X.if !defined(WITHOUT_SNDFILE)
XLIB_DEPENDS+=   sndfile.1:${PORTSDIR}/audio/libsndfile
X.else
XCONFIGURE_ARGS+=        --without-sndfile
X.endif
X
X.if defined(WITHOUT_VORBIS)
XCONFIGURE_ARGS+=	--without-ogg
X.else
XLIB_DEPENDS+=	vorbis.3:${PORTSDIR}/audio/libvorbis
X.endif
X
X.if defined(WITH_FLAC)
XLIB_DEPENDS+=   FLAC:${PORTSDIR}/audio/flac
X.else
XCONFIGURE_ARGS+=        --without-flac
X.endif
X
X.if !defined(WITHOUT_CURL)
XLIB_DEPENDS+=   curl.3:${PORTSDIR}/ftp/curl
X.else
XCONFIGURE_ARGS+=        --without-curl
X.endif
X
X.if defined(WITH_MUSE)
XLIB_DEPENDS+=   musepack:${PORTSDIR}/audio/musepack
X.else
XCONFIGURE_ARGS+=        --without-musepack
X.endif
X
Xpost-extract:
X	@${FIND} ${WRKSRC} -name "getopt*" -delete
X
X.include <bsd.port.post.mk>
END-of-moc/Makefile
echo x - moc/distinfo
sed 's/^X//' >moc/distinfo << 'END-of-moc/distinfo'
XMD5 (moc-2.3.0.tar.bz2) = 3d5d152c28f6e40162058fc1566c8109
XSIZE (moc-2.3.0.tar.bz2) = 402954
END-of-moc/distinfo
echo x - moc/pkg-plist
sed 's/^X//' >moc/pkg-plist << 'END-of-moc/pkg-plist'
Xbin/mocp
Xlib/moc/decoder_plugins/libmp3_decoder.la
Xlib/moc/decoder_plugins/libmp3_decoder.so
Xlib/moc/decoder_plugins/libogg_decoder.la
Xlib/moc/decoder_plugins/libogg_decoder.so
Xlib/moc/decoder_plugins/libsndfile_formats_decoder.la
Xlib/moc/decoder_plugins/libsndfile_formats_decoder.so
Xshare/doc/moc/README
Xshare/doc/moc/THANKS
Xshare/doc/moc/config.example
Xshare/doc/moc/keymap.example
Xshare/moc/themes/black_theme
Xshare/moc/themes/example_theme
Xshare/moc/themes/green_theme
Xshare/moc/themes/nightly_theme
Xshare/moc/themes/transparent-background
Xshare/moc/themes/yellow_red_theme
X@dirrm share/nls/en_US.US-ASCII
X@dirrm share/nls/POSIX
X@dirrm share/moc/themes
X@dirrm share/moc
X@dirrm share/doc/moc
X@dirrm lib/moc/decoder_plugins
X@dirrm lib/moc
END-of-moc/pkg-plist
echo x - moc/pkg-descr
sed 's/^X//' >moc/pkg-descr << 'END-of-moc/pkg-descr'
XMOC (music on console) is a console audio player for LINUX/UNIX designed to be
Xpowerful and easy to use. 
X
XMOC plays smoothly, regardless of system or I/O load because it uses the output
Xbuffer in a separate thread. It doesn't cause gaps between files, because the
Xnext file to be played is precached while playing the current file.
X
XSupported file formats are: mp3, Ogg Vorbis, FLAC, Musepack (mpc), Speex, WAVE,
XAIFF, AU, SVX, Sphere Nist WAV, IRCAM SF, Creative VOC.
X
XWWW: http://moc.daper.net/
END-of-moc/pkg-descr
exit
Comment 5 Jean-Yves Lefort freebsd_committer 2005-07-29 00:48:19 UTC
State Changed
From-To: feedback->closed

Committed with a few modifications, thanks!